gtkstatus-icon-theme.h File Reference

Pidgin Icon Theme Class API. More...

`#include <glib-object.h>`
`#include "gtkicon-theme.h"`

Go to the source code of this file.

## Data Structures

struct | _PidginStatusIconTheme
struct | _PidginStatusIconThemeClass

## Macros

#define | PIDGIN_TYPE_STATUS_ICON_THEME (pidgin_status_icon_theme_get_type ())
#define | PIDGIN_STATUS_ICON_THEME(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), PIDGIN_TYPE_STATUS_ICON_THEME, PidginStatusIconTheme))
#define | PIDGIN_STATUS_ICON_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), PIDGIN_TYPE_STATUS_ICON_THEME, PidginStatusIconThemeClass))
#define | PIDGIN_IS_STATUS_ICON_THEME(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), PIDGIN_TYPE_STATUS_ICON_THEME))
#define | PIDGIN_IS_STATUS_ICON_THEME_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), PIDGIN_TYPE_STATUS_ICON_THEME))
#define | PIDGIN_STATUS_ICON_THEME_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), PIDGIN_TYPE_STATUS_ICON_THEME, PidginStatusIconThemeClass))

## Typedefs

typedef struct _PidginStatusIconTheme | PidginStatusIconTheme
| extends PidginIconTheme (gtkicon-theme.h) A pidgin status icon theme. More...
typedef struct _PidginStatusIconThemeClass | PidginStatusIconThemeClass

## Functions

Pidgin Status Icon Theme API
G_BEGIN_DECLS GType | pidgin_status_icon_theme_get_type (void)
| GObject foo.

## Detailed Description

Pidgin Icon Theme Class API.

Definition in file gtkstatus-icon-theme.h.

## Typedef Documentation

typedef struct _PidginStatusIconTheme PidginStatusIconTheme

extends PidginIconTheme (gtkicon-theme.h) A pidgin status icon theme.

This object represents a Pidgin status icon theme.

PidginStatusIconTheme is a PidginIconTheme Object.

Definition at line 39 of file gtkstatus-icon-theme.h.